function R = Defender_reward(B, params)
%Defender's reward function
%Input: B = Bayes net time slice
%Output: R = reward
%global params;

[S,OD,OA,MD,MA,dX,m] = Slice_unpack( B );

R = -((S.V2/params.V0 - 1)/params.eps).^2 - ((S.V3/params.V0 - 1)/params.eps).^2;

end