function Plot_S_d(Btrack,BinsOrSet)

    V1track = zeros(size(Btrack,2),1);
    V2track = zeros(size(Btrack,2),1);
    V3track = zeros(size(Btrack,2),1);
    
    for t = 1:size(Btrack,2)    
        S = Btrack{t}{1};
        V1track(t) = S.V1index;
        V2track(t) = S.V2index;
        V3track(t) = S.V3index;
    end

    V2midvalue=zeros(1,5);
    V2midvalue(1)=0.8;
    V2midvalue(2)=0.96;
    V2midvalue(3)=1;
    V2midvalue(4)=1.04;
    V2midvalue(5)=1.2;
    V3midvalue=zeros(1,5);
    V3midvalue(1)=0.8;
    V3midvalue(2)=0.96;
    V3midvalue(3)=1;
    V3midvalue(4)=1.04;
    V3midvalue(5)=1.2;
    
    figure;
    hold on;
    plot(BinsOrSet.V1set(V1track(:)),'-xb');
    plot(V2midvalue(V2track(:)),'-xr');
    plot(V3midvalue(V3track(:)),'-xg');
    title('Evolution of V1,V2,V3 (discrete)');
    legend('V1','V2','V3');
    xlabel('Simulation steps');
    hold off

end