params = Set_params();
BinsOrSet = Save_BinsOrSet(params);

T = round(logspace(6,2,10));
relErr = zeros(length(T),1);

for i = 1:length(T)
    CPT_DefER{i} = Expected_AttReward(params,BinsOrSet,T(i));
    relErr(i) = max(abs((CPT_DefER{i}(:)-CPT_DefER{1}(:))));
end

figure;
semilogx(T,relErr)
title('CPT_DefER');
xlabel('Number of samples');
ylabel('Max abs error relative to baseline');