params = Set_params();
BinsOrSet = Save_BinsOrSet(params);

T = round(logspace(6,2,10));
relErr = zeros(length(T),1);

for i = 1:length(T)
    CPT_ScottAttL0{i} = GenCPT_ScottAttL0(0.07,params,BinsOrSet,T(i));
    relErr(i) = max(abs((CPT_ScottAttL0{i}(:)-CPT_ScottAttL0{1}(:))));
end

figure;
semilogx(T,relErr)
title('CPT_ScottAttL0');
xlabel('Number of samples');
ylabel('Max abs error relative to baseline');