params = Set_params();
BinsOrSet = Save_BinsOrSet(params);

T = round(logspace(6,2,10));
relErr = zeros(length(T),1);

for i = 1:length(T)
    CPT_ScottDefL0{i} = GenCPT_ScottDefL0(0,params,BinsOrSet,T(i));
    relErr(i) = max(abs((CPT_ScottDefL0{i}(:)-CPT_ScottDefL0{1}(:))));
end

figure;
semilogx(T,relErr)
title('CPT_ScottDefL0');
xlabel('Number of samples');
ylabel('Max abs error relative to baseline');