params = Set_params();
BinsOrSet = Save_BinsOrSet(params);

T = round(logspace(6,2,10));
relErr = zeros(length(T),1);

for i = 1:length(T)
    CPT_V2{i} = GenCPT_V2(params,BinsOrSet,T(i));
    relErr(i) = max(abs(CPT_V2{i}(:)-CPT_V2{1}(:)));
end

figure;
semilogx(T,relErr)
title('CPT_V2');
xlabel('Number of samples');
ylabel('Max abs error relative to baseline');