function [Qmax, Qi] = FitQLin_GetQmax(w, x, U)
%weights w
%state x
%all actions U

Q = zeros(length(U),1);
for i = 1:length(U)
    Q(i) = FitQLin_GetQ(w,x,U(i));
end
[Qmax, Qi] = max(Q);

end

function Q = FitQLin_GetQ(w, x, u)
%weights w
%state x
%action u

v = [x; u];
f = FQI_GetFeatures(v);

Q = w'*f;

end