%$$Modified by Yildiray Yildiz on 09/28/12
%modified to take care of multiple actions by
function x = Weighted_sample(p)
%Gives a weighted sample according to the probabilities vector p
[~,x_ind] = histc(rand(1),[0;cumsum(p(:))/sum(p(:))]);
if isscalar(p)
    x=x_ind;
else
    x=cell(1,ndims(p));
    [x{:}] = ind2sub(size(p),x_ind) ;
end
end
