
// *************************************************************************
//	LibNFG: Net-form game library
//
//	Author:		Ritchie Lee
//
//  Copyright 2011 United States Government as represented by the Administrator 
//  of the National Aeronautics and Space Administration.  All Rights Reserved.  
//  Licensed under the Apache License, Version 2.0 (the "License"); you may not 
//  use this file except in compliance with the License.  You may obtain a copy 
//  of the License at http://www.apache.org/licenses/LICENSE-2.0
//  Unless required by applicable law or agreed to in writing, software 
//  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT 
//  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the 
//  License for the specific language governing permissions and limitations 
//  under the License.
//
//	Revision Log
//
//	Username	Date		Description
//	-------------------------------------------------------
//	rlee		20101025	Created
//
// *************************************************************************

#include "net_student.h"
#include "net_mergeandspace.h"
#include "net_bobvsnature.h"
#include "net_mergeandspace2step.h"
#include "net_prisonersdilemma.h"
#include "net_battleofsexes.h"
#include "net_bobvsalice.h"
#include "net_hitlcollisionavoid.h"
#include "net_hitlcollisionavoid2.h"
//#include "net_imergeandspace.h"

//#include "net_cyberddos.h"

#include <time.h>
#include <iostream>
#include "types.h"
#include "helper.h"

using namespace nfg;

void Test( void );

// *************************************************************************
// *************************************************************************
int main(int argc, char *argv[])
{
	srand((unsigned int)time(0)); 

	/// Main entry points here:
	//Test();
	//net_Student::Run();
	net_MergeAndSpace::Run();
	//net_BobVsNature::Run();
	//net_MergeAndSpace2Step::Run();
	//net_PrisonersDilemma::Run();
	//net_BattleOfSexes::Run();
	//net_BobVsAlice::Run();
	
	//net_HitlCollisionAvoid2 netHitl( argc, argv );
	//netHitl.Run();

	//net_HitlCollisionAvoid netHitl( argc, argv );
	//netHitl.Run();

	//net_CyberDDoS::Run();

	//net_IMergeAndSpace::Run();

	printf("\nDone! Press any key to continue...");
	getchar();

    return 0;
}

// *************************************************************************
// *************************************************************************
void Test ( void )
{	

	return;
}

