function Plot_S( Btrack)

names{1} = 'V1';
names{2} = 'V2';
names{3} = 'V3';

S.V1 = zeros(size(Btrack,2),1);
S.V2 = zeros(size(Btrack,2),1);
S.V3 = zeros(size(Btrack,2),1);
for t = 1:size(Btrack,2)
    S.V1(t) = Btrack{t}{1}.V1;
    S.V2(t) = Btrack{t}{1}.V2;
    S.V3(t) = Btrack{t}{1}.V3;
end

min_st = min([min(S.V1) min(S.V2) min(S.V3)]);
max_st = max([max(S.V1) max(S.V2) max(S.V3)]);

figure;
plot(S.V1(:),'-xb');
hold on;
plot(S.V2(:),'-xr');
hold on;
plot(S.V3(:),'-xg');
hold on;
plot(0.94*ones(size(Btrack,2),1),'k');
hold on;
plot(1.06*ones(size(Btrack,2),1),'k');
% for i=1:size(switchtime,2)
%     line([switchtime(i) switchtime(i)],[min_st max_st]);
% end
legend('V1', 'V2', 'V3');
title('Evolution of V1, V2, V3');
xlabel('Simulation steps');

figure;
hist(S.V1(:),3);
title('V1');

figure;
hist(S.V2(:),3);
title('V2');

figure;
hist(S.V3(:),3);
title('V3');


end