%Use this file as example code snippets for calling Matlab code for 
%three-node circuit example

clear all;
close all;

%Call this first to be able to call functions from sub-directories
addpath(genpath(pwd));

%Must first call these scripts to set parameters and load matrices
ppack.params = Set_params();
ppack.params.player_type = 1;  % 1 = continuous, 2 = discrete
ppack.BinsOrSet = Save_BinsOrSet(ppack.params);

Defender.mode = 3;
Defender.thetaD = 0;

Attacker.mode = 3;
Attacker.thetaA = 0.07;
Attacker.exist = 1;

[states, defRewards, attRewards] = Simulate ( Defender, Attacker, 1, ppack);