function GenerateEnv( params )

if ( ~exist('params') )
    params = Set_params();
end

BinsOrSet = Save_BinsOrSet(params);

thetaD = 0;
thetaA = 0.07;
CPTs = Save_CPTs(thetaD, thetaA, params, BinsOrSet);

ER = Save_expectedReward(params, BinsOrSet)

save('Discrete/GenerateEnv/Output/BinsOrSet.mat', 'BinsOrSet');
save('Discrete/GenerateEnv/Output/CPTs.mat', 'CPTs' );
save('Discrete/GenerateEnv/Output/ER.mat', 'ER' );

fprintf('GenerateEnv Done!\n\n');