function B = Slice_pack_d(S,MD, MA, D, A,L)
%Packs the instantiation of a Bayes net time slice neatly into a single variable

    B{1} = S;      % includes V1index, V2index and V3index
    B{2} = MD;      % defender's memory
    B{3} = MA;      % attacker's memory
    B{4} = D;           % the current defender's move
    B{5} = A;            % the current attacker's move A = [p3,q3index]'
    B{6} = L;            % the current load L = [p2index, q2]'

end