function [S,MD,MA,D,A,L] = Slice_unpack_d(B)
%Unpacks the instantiation of a Bayes net time slice from a single
%variable

    S = B{1};            % the bin of V1 in the previous step
    MD = B{2};           % defender's memory
    MA = B{3};           % attacker's memory
    D = B{4};            % defender's move in the previous step
    A = B{5};            % attacker's move in the previous step. A = [p3,q3index]'
    L = B{6};            % previous load L = [p2index, q2]'

end