%Use this file as example code snippets for calling Matlab code for 
%three-node circuit example

clear all;
close all;

%Call this first to be able to call functions from sub-directories
addpath(genpath(pwd));

%Must first call these scripts to set parameters and load matrices
ppack.params = Set_params();
ppack.params.player_type = 2;  % 1 = continuous, 2 = discrete
ppack = Load_mats(ppack);

Defender.mode = 3;
Defender.thetaD = 0;

Attacker.mode = 3;
Attacker.thetaA = 0.07;
Attacker.exist = 0;

[states, defRewards, attRewards] = Simulate_d ( Defender, Attacker, 1, ...
            ppack.params, ppack.BinsOrSet, ppack.CPTs, ppack.ER);