params = Set_params();
BinsOrSet = Save_BinsOrSet(params);

T = round(logspace(6,2,10));
relErr = zeros(length(T),1);

for i = 1:length(T)
    CPT_AttER{i} = Expected_AttReward(params,BinsOrSet,T(i));
    relErr(i) = max(abs((CPT_AttER{i}(:)-CPT_AttER{1}(:))));
end

figure;
semilogx(T,relErr)
title('CPT_AttER');
xlabel('Number of samples');
ylabel('Max abs error relative to baseline');