
clear all;
close all;

%Pick your parameters here:
p2max = 1.4; %[1.40, 1.50, 1.60];
p3max = 0.2:0.2:1.6;
ProbAttExist = 0.2;


[p2max_in,p3max_in,ProbAttExist_in] = ndgrid(p2max,p3max,ProbAttExist);

for i = 1:numel(p3max_in)
    params = Set_params();
    
    % Set your parameters here
    params.p2max = p2max_in(i);
    params.p3max = p3max_in(i);
    params.ProbAttExist = ProbAttExist_in(i);
    
    
    filename = sprintf('ECPD-D1A0J-p2max%0.3f-p3max%0.3f-ProbAttExist%0.3f', p2max_in(i), ...
        p3max_in(i), ProbAttExist_in(i));
    save(strcat('Batch/input_params',sprintf('%0.4d', i)),'params', 'filename');
end