function SaveOpenFigsAsSubplot(rows, cols, figIds)

assert(rows*cols >= size(figIds(:)));

figHList = get(0,'children');
figHList = sort(figHList);

figure;
for i = 1:size(figIds(:))
    figH = figHList(figIds(i));
    figAx = get(figH,'CurrentAxes');
    props = get(figAx, {'title','xlabel','ylabel'});
    fig = [get(figAx, 'children'); [props{:}]'];
    subH = subplot(rows, cols, i);
    copyobj(fig, subH);
end