function Plot_attacker_SARSANN( Attacker, params )

%Plot Qsim and Qtarget over time
figure;
plot( Attacker.trainIO(8:9,:)' );
legend('Qsim','Qtarget');
title('Attacker''s Qsim and Qtarget vs. training');

figure;
plot( sum(Attacker.trainErr.^2),2) );
title('Attacker''s training sum squared error vs. episode');

figure;
plot(mean(Attacker.trainReward,2));
title('Attacker''s mean training reward vs. episode');

figure;
plot(Attacker.trainLW')
title('Attacker''s layer weights with training');


end
