%$$Modified by Yildiray Yildiz on 09/27/12
%modified "V1new = ..+DefMove" to "V1new = ..+DefMove{1}"

function PGS = Apply_Def( PGS, DefMove, params )
    V0 = params.V0;
    dV = params.dV;
    N = params.N;
    V1max = V0+dV;
    V1min = V0-dV;

    V1old = PGS.getAttribute(1, PowerGridSystem.VOLTAGE_MAGNITUDE);
    V1new = V1old + (DefMove{1}+DefMove{2}) * dV / N;
    V1new = min( V1new, V1max );
    V1new = max( V1new, V1min );
   
    PGS = PGS.setAttribute( 1, PowerGridSystem.VOLTAGE_MAGNITUDE, V1new );
end